#ifndef ALGORHYTHMS_LOADED
#define ALGORHYTHMS_LOADED 1

/* AlgoRhythms.h */
#define MAXVOICE (20)

typedef struct {
	struct timeval StartTime,
	               Duration,
                  StopTime;
	int   Pitch,
	      Dynamic,
	      Channel,
	      CurPitch,
	      LowPitch, /* CHANGE THIS IN ALGORHYTHMS.C AND MUSICSERIAL.C*/
	      HighPitch,
	      Walking,
         Playing;
} NOTEEVENT;

typedef struct {
	double   CenterCycle,
	         CenterPhase,
	         SpreadCycle,
	         SpreadPhase;
} PARAMETER;

extern int fubar;
extern int quit;
extern int scale[];

#endif
